Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1661868 - Review Request: smc-dyuthi-fonts - Open Type Fonts for Malayalam script
Summary: Review Request: smc-dyuthi-fonts - Open Type Fonts for Malayalam script
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-24 06:33 UTC by vishalvvr
Modified: 2019-01-22 06:57 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-22 06:57:46 UTC
Type: ---
panemade: fedora-review+


Attachments (Terms of Use)

Description vishalvvr 2018-12-24 06:33:10 UTC
Spec URL: https://copr-be.cloud.fedoraproject.org/results/vishalvvr/smc-fonts/fedora-29-x86_64/00839542-smc-dyuthi-fonts/smc-dyuthi-fonts.spec

SRPM URL: https://copr-be.cloud.fedoraproject.org/results/vishalvvr/smc-fonts/fedora-29-x86_64/00839542-smc-dyuthi-fonts/smc-dyuthi-fonts-3.0.1-1.fc29.src.rpm

Description: Dyuthi is an ornamental typographic design that supports Latin and Malayalam. 
The glyph patterns are based on popular 'bulged ended' type designs 
which used to be popular in Malayalam designs. The font comes in one size 
and is thicker than usual Malayalam fonts, hence is suited for titling and 
headlines. Dyuthi can accompany Meera or Rachana as title font, 
when they are used as body text.

Fedora Account System Username: vishalvvr

Comment 1 Manas Mangaonkar (Pac23) 2018-12-28 08:42:03 UTC
(In reply to vishalvvr from comment #0)
> Spec URL:
> https://copr-be.cloud.fedoraproject.org/results/vishalvvr/smc-fonts/fedora-
> 29-x86_64/00839542-smc-dyuthi-fonts/smc-dyuthi-fonts.spec
> 
> SRPM URL:
> https://copr-be.cloud.fedoraproject.org/results/vishalvvr/smc-fonts/fedora-
> 29-x86_64/00839542-smc-dyuthi-fonts/smc-dyuthi-fonts-3.0.1-1.fc29.src.rpm
> 
> Description: Dyuthi is an ornamental typographic design that supports Latin
> and Malayalam. 
> The glyph patterns are based on popular 'bulged ended' type designs 
> which used to be popular in Malayalam designs. The font comes in one size 
> and is thicker than usual Malayalam fonts, hence is suited for titling and 
> headlines. Dyuthi can accompany Meera or Rachana as title font, 
> when they are used as body text.
> 
> Fedora Account System Username: vishalvvr

The license used is unknown idk if this can be approved, please change to license to something better.

Comment 2 Parag AN(पराग) 2018-12-28 13:05:47 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

Suggestions:
1) Version number in ttf does not match with released tarball, though not a blocker but good to ask upstream to keep it in sync
2) Maybe you just want to say "Font" in Summary as its only one font file provided by this package
3) License is accepted as OFL here. Just see upstream changed the license but the pre-built ttf is from the source of OFL content.
This makes me think, should we build actually the font from the source file??
I think its better you build from source and submit the updated SRPM, SPEC

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "SIL Open Font License (v1.1)", "*No copyright* SIL Open Font
     License (v1.1)", "Unknown or generated". 14 files have unknown
     license. Detailed output of licensecheck in /home/parag/1661866-smc-
     meera-fonts/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
==> Provides are not needed as we are just splitting original package

[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.

fonts:
[x]: Run repo-font-audit on all fonts in package.

[x]: Run ttname on all fonts in package.
     Note: ttname analyze results in fonts/ttname.log.


Rpmlint
-------
Checking: smc-dyuthi-fonts-3.0.1-1.fc30.noarch.rpm
          smc-dyuthi-fonts-3.0.1-1.fc30.src.rpm
smc-dyuthi-fonts.noarch: W: obsolete-not-provided smc-fonts-common
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
smc-dyuthi-fonts.noarch: W: invalid-url URL: https://gitlab.com/smc/fonts/dyuthi <urlopen error [Errno -2] Name or service not known>
smc-dyuthi-fonts.noarch: W: obsolete-not-provided smc-fonts-common
1 packages and 0 specfiles checked; 0 errors, 2 warnings.



Requires
--------
smc-dyuthi-fonts (rpmlib, GLIBC filtered):
    config(smc-dyuthi-fonts)
    fontpackages-filesystem



Provides
--------
smc-dyuthi-fonts:
    config(smc-dyuthi-fonts)
    font(:lang=aa)
    font(:lang=an)
    font(:lang=ay)
    font(:lang=bi)
    font(:lang=br)
    font(:lang=ch)
    font(:lang=da)
    font(:lang=de)
    font(:lang=en)
    font(:lang=es)
    font(:lang=eu)
    font(:lang=fil)
    font(:lang=fj)
    font(:lang=fo)
    font(:lang=fur)
    font(:lang=fy)
    font(:lang=gd)
    font(:lang=gl)
    font(:lang=gv)
    font(:lang=ho)
    font(:lang=ht)
    font(:lang=ia)
    font(:lang=id)
    font(:lang=ie)
    font(:lang=io)
    font(:lang=is)
    font(:lang=it)
    font(:lang=jv)
    font(:lang=kj)
    font(:lang=kwm)
    font(:lang=lb)
    font(:lang=li)
    font(:lang=mg)
    font(:lang=ms)
    font(:lang=nb)
    font(:lang=nds)
    font(:lang=ng)
    font(:lang=nl)
    font(:lang=nn)
    font(:lang=no)
    font(:lang=nr)
    font(:lang=oc)
    font(:lang=om)
    font(:lang=pap-an)
    font(:lang=pap-aw)
    font(:lang=pt)
    font(:lang=rm)
    font(:lang=rn)
    font(:lang=rw)
    font(:lang=sc)
    font(:lang=sg)
    font(:lang=sma)
    font(:lang=smj)
    font(:lang=sn)
    font(:lang=so)
    font(:lang=sq)
    font(:lang=ss)
    font(:lang=st)
    font(:lang=su)
    font(:lang=sv)
    font(:lang=sw)
    font(:lang=tl)
    font(:lang=ts)
    font(:lang=uz)
    font(:lang=vo)
    font(:lang=wa)
    font(:lang=xh)
    font(:lang=yap)
    font(:lang=za)
    font(:lang=zu)
    font(dyuthi)
    metainfo()
    metainfo(smc-dyuthi.metainfo.xml)
    smc-dyuthi-fonts



Source checksums
----------------
https://gitlab.com/smc/fonts/dyuthi/-/archive/Version3.0.1/dyuthi-Version3.0.1.tar.gz :
  CHECKSUM(SHA256) this package     : 773a130aa55f849e4005650236c4370675e1e4f0544f73b3e1fd4a51a9578e67
  CHECKSUM(SHA256) upstream package : 773a130aa55f849e4005650236c4370675e1e4f0544f73b3e1fd4a51a9578e67


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1661868 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, fonts, Shell-api
Disabled plugins: Java, C/C++, Python, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 3 Parag AN(पराग) 2018-12-28 13:20:12 UTC
hmm but building from source is giving segfault....
I think you can report this to upstream and fix it in later builds of this package. For now you can get this package in Fedora by using ttf files from upstream and License as OFL.

APPROVED.

Comment 4 Gwyn Ciesla 2019-01-15 14:15:58 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/smc-dyuthi-fonts

Comment 5 vishalvvr 2019-01-22 06:57:46 UTC
New build created in upstream therefore closing this bug.


Note You need to log in before you can comment on or make changes to this bug.